libwps Namespace Reference

## Namespaces

namespace | Debug

## Classes

class | VersionException
class | FileException
class | ParseException
class | GenericException
class | DebugStream
class | DebugFile
class | Header
class | AllocTable
class | DirEntry
class | DirTree
class | StorageIO
class | StreamIO
class | Storage
class | Stream

## Enumerations

enum | NumberingType { NONE, BULLET, ARABIC, LOWERCASE, UPPERCASE, LOWERCASE_ROMAN, UPPERCASE_ROMAN }
enum | SubDocumentType { DOC_NONE, DOC_HEADER_FOOTER, DOC_NOTE, DOC_TABLE, DOC_TEXT_BOX, DOC_COMMENT_ANNOTATION }
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }

## Functions

uint8_t | readU8 (WPXInputStream *input)
int8_t | read8 (WPXInputStream *input)
uint16_t | readU16 (WPXInputStream *input)
int16_t | read16 (WPXInputStream *input)
uint32_t | readU32 (WPXInputStream *input)
int32_t | read32 (WPXInputStream *input)
bool | readData (WPXInputStreamPtr &input, unsigned long size, WPXBinaryData &data)
bool | readDataToEnd (WPXInputStreamPtr &input, WPXBinaryData &data)
std::string | numberingTypeToString (NumberingType type)
uint8_t | readU8 (WPXInputStreamPtr &input)
uint16_t | readU16 (WPXInputStreamPtr &input)
uint32_t | readU32 (WPXInputStreamPtr &input)
int8_t | read8 (WPXInputStreamPtr &input)
int16_t | read16 (WPXInputStreamPtr &input)
int32_t | read32 (WPXInputStreamPtr &input)

## Enumeration Type Documentation

anonymous enum

Enumerator
NoBreakBit |
NoBreakWithNextBit |

enum libwps::Justification

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

enum libwps::NumberingType

Enumerator
NONE |
BULLET |
ARABIC |
LOWERCASE |
UPPERCASE |
LOWERCASE_ROMAN |
UPPERCASE_ROMAN |

enum libwps::SubDocumentType

Enumerator
DOC_NONE |
DOC_HEADER_FOOTER |
DOC_NOTE |
DOC_TABLE |
DOC_TEXT_BOX |
DOC_COMMENT_ANNOTATION |

## Function Documentation

std::string libwps::numberingTypeToString | ( | NumberingType | type | ) |

Referenced by WPSPageSpan::_insertPageNumberParagraph(), WPSList::Level::addTo(), and WPSContentListener::insertField().

int16_t libwps::read16 | ( | WPXInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), read16(), WPS8Graph::readBDR(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPSTextParser::readFDP(), WPS8Parser::readFRAM(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPSOLEParser::readMM(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOlePres(), WPS4Text::readParagraph(), WPS8Text::readPLC(), WPS8TextStyle::readSGP(), WPS8Parser::readWNPR(), and WPS8Text::tokenEndDataParser().

int16_t libwps::read16 | ( | WPXInputStreamPtr & | input | ) |

inline

int32_t libwps::read32 | ( | WPXInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Parser::findZones(), WPSOLEParser::isOle10Native(), WPSOLEParser::isOlePres(), read32(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Table::readMCLD(), WPS8Graph::readMetaFile(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), and WPS8Text::tokenEndDataParser().

int32_t libwps::read32 | ( | WPXInputStreamPtr & | input | ) |

inline

int8_t libwps::read8 | ( | WPXInputStream * | input | ) |

Referenced by WPS4Parser::findZones(), read8(), WPS8Graph::readBDR(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readFont(), WPS8TextStyle::readFontNames(), WPS8Text::readNotes(), WPSOLEParser::readOle(), WPS4Text::readParagraph(), and WPS8Text::readPLC().

int8_t libwps::read8 | ( | WPXInputStreamPtr & | input | ) |

inline

bool libwps::readData | ( | WPXInputStreamPtr & | input,
|  | unsigned long | size,
|  | WPXBinaryData & | data
| ) |  |

Referenced by WPSOLEParser::readContents(), readDataToEnd(), WPS8Graph::readMetaFile(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), and WPSOLEParser::readOlePres().

bool libwps::readDataToEnd | ( | WPXInputStreamPtr & | input,
|  | WPXBinaryData & | data
| ) |  |

Referenced by WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), and WPSOLEParser::readCONTENTS().

uint16_t libwps::readU16 | ( | WPXInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPS4Text::defDataParser(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS4Text::footNotesDataParser(), libwps::Header::load(), libwps::DirTree::load(), WPS8Text::numPages(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), read16(), WPS8Struct::readBlockData(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Text::readDosLink(), WPSTextParser::readFDP(), WPS8TextStyle::readFontNames(), WPSOLEParser::readMM(), WPS4Graph::readObject(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS8Text::readString(), WPS8TextStyle::readSTSH(), WPS8Text::readText(), readU16(), WPS8Text::readUTF16LE(), and WPS8Parser::readWNPR().

uint16_t libwps::readU16 | ( | WPXInputStreamPtr & | input | ) |

inline

uint32_t libwps::readU32 | ( | WPXInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), libwps::Header::load(), libwps::AllocTable::load(), libwps::DirTree::load(), libwps::StorageIO::load(), WPS4Text::objectDataParser(), WPS8Struct::operator<<(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), read32(), WPS8Graph::readBDR(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPSTextParser::readFDP(), WPS8TextStyle::readFontNames(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS8Graph::readPICT(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), readU32(), WPS8Parser::readWNPR(), and WPS8Text::tokenEndDataParser().

uint32_t libwps::readU32 | ( | WPXInputStreamPtr & | input | ) |

inline

uint8_t libwps::readU8 | ( | WPXInputStream * | input | ) |

Referenced by WPS4Text::bkmkDataParser(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Text::footNotesDataParser(), WPS4Text::numPages(), WPS8Struct::operator<<(), WPS8Parser::parseHeaderIndexEntry(), read8(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::readData(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), WPSTextParser::readFDP(), WPS4Text::readFont(), WPS4Text::readFontNames(), WPS8Graph::readIBGF(), WPS4Graph::readObject(), WPSOLEParser::readOlePres(), WPS4Text::readParagraph(), WPS8Graph::readPICT(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), WPS4Text::readText(), readU16(), readU32(), readU8(), and WPS8Parser::readWNPR().

uint8_t libwps::readU8 | ( | WPXInputStreamPtr & | input | ) |

inline